Represents a system user
GET /v25.0/{system-user-id} HTTP/1.1
Host: graph.facebook.com/* PHP SDK v5.0.0 */
/* make the API call */
try {
// Returns a `Facebook\FacebookResponse` object
$response = $fb->get(
'/{system-user-id}',
'{access-token}'
);
} catch(Facebook\Exceptions\FacebookResponseException $e) {
echo 'Graph returned an error: ' . $e->getMessage();
exit;
} catch(Facebook\Exceptions\FacebookSDKException $e) {
echo 'Facebook SDK returned an error: ' . $e->getMessage();
exit;
}
$graphNode = $response->getGraphNode();
/* handle the result *//* make the API call */
FB.api(
"/{system-user-id}",
function (response) {
if (response && !response.error) {
/* handle the result */
}
}
);/* make the API call */
new GraphRequest(
AccessToken.getCurrentAccessToken(),
"/{system-user-id}",
null,
HttpMethod.GET,
new GraphRequest.Callback() {
public void onCompleted(GraphResponse response) {
/* handle the result */
}
}
).executeAsync();/* make the API call */
FBSDKGraphRequest *request = [[FBSDKGraphRequest alloc]
initWithGraphPath:@"/{system-user-id}"
parameters:params
HTTPMethod:@"GET"];
[request startWithCompletionHandler:^(FBSDKGraphRequestConnection *connection,
id result,
NSError *error) {
// Handle the result
}];| Field | Description |
|---|---|
idnumeric string | System user ID. |
created_by | The creator of this system user. |
created_timedatetime | The creation time of this system user. |
finance_permissionstring | Financial permission role of the user in business manager, such as Editor, Analyst, and so on. |
ip_permissionstring | Ads right permission role of the user in business manager, such as Reviewer, and so on. |
namestring | Name used to identify this system user. |
| Edge | Description |
|---|---|
Edge<BusinessAssetGroup> | Business asset groups that are assign to this business scoped user |
Edge<Page> | Pages that are assigned to this business scoped user |
Edge<ProductCatalog> | Product catalogs that are assigned to this business scoped user |
Edge<WhatsAppBusinessAccount> | WhatsApp business accounts that are assigned to the business user |
| Error | Description |
|---|---|
| 100 | Invalid parameter |
| 110 | Invalid user id |
system_users edge from the following paths: | Parameter | Description |
|---|---|
namestring | Name of system user to be added to this business. Required |
roleenum {FINANCE_EDITOR, FINANCE_ANALYST, ADS_RIGHTS_REVIEWER, ADMIN, EMPLOYEE, DEVELOPER, PARTNER_CENTER_ADMIN, PARTNER_CENTER_ANALYST, PARTNER_CENTER_OPERATIONS, PARTNER_CENTER_MARKETING, PARTNER_CENTER_EDUCATION, MANAGE, DEFAULT, FINANCE_EDIT, FINANCE_VIEW} | Role of system user to be added to this business. |
system_user_idint | ID of system user. |
id in the return type.id: numeric string, | Error | Description |
|---|---|
| 104001 | In order to create a system user, an app must be part of this business. Please add an app and then try again. |
| 100 | Invalid parameter |
| 3949 | This Business Manager has reached maximum number of system user limit. |
| 3965 | This Business Manager has reached maximum number of admin system user limit. |